%define kolourpaint_lgpl_major 5


Name: kolourpaint
Summary: A free, easy-to-use paint program for KDE
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/graphics/kolourpaint/
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires: cmake
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5completion-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5guiaddons-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5iconthemes-devel
BuildRequires: %{_lib}kf5kdelibs4support-devel
BuildRequires: %{_lib}kf5sane-devel
BuildRequires: %{_lib}kf5service-devel
BuildRequires: %{_lib}kf5textwidgets-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kio-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: qtbase5-common-devel

%description
KolourPaint is a free, easy-to-use paint program for KDE.

It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:

* Painting - drawing diagrams and "finger painting"
* Image Manipulation - editing screenshots and photos; applying effects
* Icon Editing - drawing clipart and logos with transparency

%files
%_kde_bindir/kolourpaint
%_kde_libdir/libkolourpaint_lgpl.so.%{kolourpaint_lgpl_major}*
%_kf5_datadir/kolourpaint
%_kf5_datadir/icons/hicolor/16x16/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/22x22/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/32x32/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/48x48/apps/kolourpaint.png
%_kf5_datadir/icons/hicolor/scalable/apps/kolourpaint.svgz
%_kf5_datadir/kxmlgui5/kolourpaint/kolourpaintui.rc
%_kf5_datadir/applications/org.kde.kolourpaint.desktop
%_kf5_datadir/metainfo/org.kde.kolourpaint.appdata.xml
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package -n kolourpaint-handbook
Summary: kolourpaint Handbook
Requires:  kolourpaint
BuildArch: noarch
Requires: %name
Group: Documentation

%description -n kolourpaint-handbook
This package provides kolourpaint handbook.

%files -n kolourpaint-handbook
%doc COPYING COPYING.LIB COPYING.DOC
%doc %_kde_docdir/HTML

#------------------------------------------------------------------------------


%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build

rm -f %buildroot/%_kde_libdir/libkolourpaint_lgpl.so

%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Sat Jan 13 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update

